Bug 1204449 - Usb radio card without /dev/radio
Summary: Usb radio card without /dev/radio
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-22 05:52 UTC by Juan Urroa
Modified: 2015-06-30 00:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:16:41 UTC
Type: Bug


Attachments (Terms of Use)
Output of dmesg (72.61 KB, text/plain)
2015-03-29 00:16 UTC, Juan Urroa
no flags Details
The output of lsusb (634 bytes, text/plain)
2015-03-29 00:17 UTC, Juan Urroa
no flags Details
possible fix to add radio support (1010 bytes, patch)
2015-05-08 17:40 UTC, Laura Abbott
no flags Details | Diff

Description Juan Urroa 2015-03-22 05:52:24 UTC
Description of problem:
I'm trying to use a fm usb dongle but it doesn't present a /dev/radio device
The card is:

Bus 001 Device 006: ID 2040:b110 Hauppauge

Version-Release number of selected component (if applicable):
3.18.7-100.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. connect the usb device
2. search /dev/radio*

Actual results:

Not found

Expected results:

there should be a radio device

Additional info:
tv works fine

Comment 1 Josh Boyer 2015-03-23 12:33:22 UTC
Please provide the output of dmesg and lsusb

Comment 2 Juan Urroa 2015-03-29 00:16:39 UTC
Created attachment 1007862 [details]
Output of dmesg

The infos requested

Comment 3 Juan Urroa 2015-03-29 00:17:32 UTC
Created attachment 1007863 [details]
The output of lsusb

The infos requested

Comment 4 Josh Boyer 2015-03-30 12:08:26 UTC
Please provide the output of the following:

'ls /sys/class/video4linux/'

'find /dev/ -name radio*'

Comment 5 Juan Urroa 2015-03-31 04:22:15 UTC
here:

ls /sys/class/video4linux/
vbi0  video0

find /dev/ -name radio*

Comment 6 Fedora Kernel Team 2015-04-28 18:31:21 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.19.5-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 7 Juan Urroa 2015-05-02 20:15:01 UTC
I updated to 3.19.5-100 and the problem remains

Comment 8 Laura Abbott 2015-05-08 17:40:20 UTC
Created attachment 1023552 [details]
possible fix to add radio support

This is tough to fix without hardware to test. It does look like support is missing so I took a shot in the dark to add it. Please test with the attached patch if you can. If this doesn't fix it, you will probably need to report it upstream to the linux-media mailing list.

Comment 9 Juan Urroa 2015-05-24 05:11:44 UTC
Hi
I applied the patch and the device appeared but trying to use it the computer hangs, what should I do now?

Comment 10 Fedora End Of Life 2015-05-29 13:45:37 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-06-30 00:16:41 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.